GNU bug report logs - #36583
26.1; emacs 26 tries loading original user's .emacs after su to root

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Steinar Bang <sb@HIDDEN>; Keywords: notabug; merged with #36604; dated Wed, 10 Jul 2019 20:24:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 4 Aug 2019 10:57:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 04 06:57:01 2019
Received: from localhost ([127.0.0.1]:60488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huECD-00074j-Ht
	for submit <at> debbugs.gnu.org; Sun, 04 Aug 2019 06:57:01 -0400
Received: from cadalora.default.sbang.uk0.bigv.io ([46.43.15.90]:47224
 helo=cadalora.bang.priv.no)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sb@HIDDEN>) id 1huECA-00074U-Ju
 for 36583 <at> debbugs.gnu.org; Sun, 04 Aug 2019 06:56:59 -0400
Received: from mccoy (cm-84.212.62.210.getinternet.no [84.212.62.210])
 by cadalora.bang.priv.no (Postfix) with ESMTPSA id 51CB6CD469;
 Sun,  4 Aug 2019 11:56:52 +0100 (BST)
From: Steinar Bang <sb@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN> <86muh4svr3.fsf@HIDDEN>
 <jwvtvbcvnhk.fsf-monnier+emacs@HIDDEN>
Date: Sun, 04 Aug 2019 12:57:13 +0200
In-Reply-To: <jwvtvbcvnhk.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 23 Jul 2019 10:30:27 -0400")
Message-ID: <86sgqhnqpi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 36583 <at> debbugs.gnu.org,
 Richard Stallman <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Another breakage discovered today: it's impossible to do X forwarding
with an unbroken emacs configuration.

If you do:
 - ssh -Y someserver
 - /bin/su - root
then the DISPLAY variable set by "ssh -Y" is lost and it's impossible to
do X forwarding.

Doing just "/bin/su" (which I used to do before the last debian upgrade)
gives me a broken emacs configuration (because ~sb/.emacs is used but
ELPA packages under ~sb/.emacs.d/ are not used).

(And as Lars has pointed out elsewhere in this thread: the emacs
configuration of root should be tighter and more security conscious than
the configuration of a regular user. So just including the .emacs.d/ of
the original user may not be the appropriate fix)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 23 Jul 2019 14:30:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 23 10:30:35 2019
Received: from localhost ([127.0.0.1]:35479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpvoJ-00009J-HG
	for submit <at> debbugs.gnu.org; Tue, 23 Jul 2019 10:30:35 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:34388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1hpvoI-000094-Jb
 for 36583 <at> debbugs.gnu.org; Tue, 23 Jul 2019 10:30:35 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 338928119A;
 Tue, 23 Jul 2019 10:30:29 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 242428007A;
 Tue, 23 Jul 2019 10:30:28 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1563892228;
 bh=iqg8WKnuZCampI4k84D21xBGgaPPBNnGTCcpVp7j39o=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=o49KJJkKW9/e3NhFbfiqq2NOByvzkYpeeQxKZ1gxBvy25pRD9bpnLk7Vhp6b5m8QK
 /pdgz+Fk6UVm+yyr94ck3gFlo1xDpsJRmOZTwi623fYonLq6ymf5kcoyqDuiCFkBjj
 KGGMNGaG4ZsFZsSTwKXPfaTDN8c5VwRwIyLH5G7TpubzpKklJ3wZacbEtgfYAqT1lS
 0AuU6xzy4qc00WL9VzSD6dkBguCcceKNwLO7c8g5FUDOa9PmZBfBLMfRcfNXOE2PfF
 Vd6rj4ONRA9JIudOm8ktiL5NHQS5iQ2WIGI+X7AoamCe33hKOZ0jRDdnOsN3Jb22Jb
 gIIMcyCGcC+dw==
Received: from alfajor (modemcable157.163-203-24.mc.videotron.ca
 [24.203.163.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id EC32C12081D;
 Tue, 23 Jul 2019 10:30:27 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Steinar Bang <sb@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
Message-ID: <jwvtvbcvnhk.fsf-monnier+emacs@HIDDEN>
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN> <86muh4svr3.fsf@HIDDEN>
Date: Tue, 23 Jul 2019 10:30:27 -0400
In-Reply-To: <86muh4svr3.fsf@HIDDEN> (Steinar Bang's message of "Tue, 23 Jul
 2019 15:53:04 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.467 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 36583 <at> debbugs.gnu.org,
 Richard Stallman <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> FWIW What broke things for me, was that it reads the .emacs file from
> /home/sb directory, but it doesn't read /home/sb/.emacs.d/elpa/ and
> therefore doesn't find the packages my .emacs refers to, so that startup
> breaks in the middle of the setup and nothing works as expected.

Indeed, as a first-approximation, it uses "~$LOGNAME/.emacs" but "$HOME/.emacs.d/elpa/".

In many circumstances "~$LOGNAME/" is the same as "$HOME/", and in yet
other circumstances Emacs uses "$HOME/.emacs" (which I find very handy)
rather than "~$LOGNAME/.emacs".

I'd rather we drop this special case of using "~$LOGNAME/.emacs" when we
decide that we're in "su".  I know it's long standing behavior, but
there are many other ways for the user to get the same result, so
I think we can get rid of this dangerous quirk.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 23 Jul 2019 13:53:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 23 09:53:03 2019
Received: from localhost ([127.0.0.1]:34165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpvDz-0007N3-9L
	for submit <at> debbugs.gnu.org; Tue, 23 Jul 2019 09:53:03 -0400
Received: from cadalora.default.sbang.uk0.bigv.io ([46.43.15.90]:56610
 helo=cadalora.bang.priv.no)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sb@HIDDEN>) id 1hpvDw-0007MY-CR
 for 36583 <at> debbugs.gnu.org; Tue, 23 Jul 2019 09:53:01 -0400
Received: from mccoy (89-162-51-160.fiber.signal.no [89.162.51.160])
 by cadalora.bang.priv.no (Postfix) with ESMTPSA id C7FFFCD46B;
 Tue, 23 Jul 2019 14:52:53 +0100 (BST)
From: Steinar Bang <sb@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN>
Date: Tue, 23 Jul 2019 15:53:04 +0200
In-Reply-To: <E1hm58n-0003kd-LO@HIDDEN> (Richard Stallman's message
 of "Fri, 12 Jul 2019 19:39:49 -0400")
Message-ID: <86muh4svr3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 36583 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> Richard Stallman <rms@HIDDEN>:

> I think I asked for this feature so that when I run Emacs as root I
> will get the commands I am accustomed to.

FWIW What broke things for me, was that it reads the .emacs file from
/home/sb directory, but it doesn't read /home/sb/.emacs.d/elpa/ and
therefore doesn't find the packages my .emacs refers to, so that startup
breaks in the middle of the setup and nothing works as expected.

If it had used my regular config fully, I never would have noticed.

The root user has a functional .emacs, but a much slimmer one. I've
basically customized away the behaviour I dislike. Either .emacs
(ie. /home/sb/.emacs or /root/.emacs) would have worked for me if they
could have run without failing.


(PS sorry for coming late to the discussion I originated. My incoming email
broke as a result of an openssl change in a debian version upgrade and I
haven't received email since July 11 until today, and didn't receive the
initial debbug response. And sorry if I came through as rude on emacs-help)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 15 Jul 2019 14:42:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 15 10:42:27 2019
Received: from localhost ([127.0.0.1]:48701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn2BP-0000yv-GC
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 10:42:27 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:13503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1hn2BN-0000yh-2N
 for 36583 <at> debbugs.gnu.org; Mon, 15 Jul 2019 10:42:25 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 9C9E810089B;
 Mon, 15 Jul 2019 10:42:19 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 77EF910035B;
 Mon, 15 Jul 2019 10:42:18 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1563201738;
 bh=9cEz65JO/htI1l/ACEwRrG0sFVPNly4Adzml14izYnQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=igHiyEiNZAjTFxVshMw1NohC44Q63KTanJK6BPlnm2HLqcMezQZZpHliMaQfsRepA
 lZwl6K8kqGwhM4n5pCMHkvN9u/Vm61qophX+1RH8wmwut6TtLgnrSUxT3/IwYOuhjl
 dqMW7V9OBR3DEELGGmCee9mbPLNBv/U7Jl5SuvnMPNWbVWq/WebA4V5WP+FVqAxHSg
 w7kggYQjgMlwAadPJ7BfEQ7zKk0dtQhxr6Hda/bobnlnqCNsrcOQlZeN5TFebK4NMj
 nN/zDLob/FVKucac3k8qp4BCQ2AbsBpkUw2kCO2ODAyJZ72UFWLbp3ykuad+z54+G2
 9fCabIEDntrTQ==
Received: from pastel (104-222-123-229.cpe.teksavvy.com [104.222.123.229])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 41938120236;
 Mon, 15 Jul 2019 10:42:18 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
Message-ID: <jwvsgr7nyvg.fsf-monnier+emacs@HIDDEN>
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN>
 <jwv8st2t75t.fsf-monnier+emacs@HIDDEN>
 <E1hmR4f-00005t-Jv@HIDDEN>
 <jwv8sszqxda.fsf-monnier+emacs@HIDDEN> <87v9w3zbws.fsf@HIDDEN>
Date: Mon, 15 Jul 2019 10:42:17 -0400
In-Reply-To: <87v9w3zbws.fsf@HIDDEN> (Noam Postavsky's message of "Mon, 15
 Jul 2019 09:04:51 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.317 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: sb@HIDDEN, larsi@HIDDEN, 36583 <at> debbugs.gnu.org,
 Richard Stallman <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Wouldn't it be simpler to do this in the shell, e.g.,
>
>     cat >>/root/.bashrc <<'EOF'
>     alias emacs='emacs -u "$LOGNAME"'
>     EOF
>
> although I would personally suggest
>
>     cat >>/root/.bashrc <<'EOF'
>     alias emacs='echo Do not run emacs as root'
>     EOF

Yes, there are various ways to skin this cat.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 15 Jul 2019 13:05:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 15 09:05:02 2019
Received: from localhost ([127.0.0.1]:46881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn0f6-0004Qc-Ur
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 09:05:02 -0400
Received: from mail-io1-f68.google.com ([209.85.166.68]:34927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hn0f5-0004QP-Gx
 for 36583 <at> debbugs.gnu.org; Mon, 15 Jul 2019 09:04:59 -0400
Received: by mail-io1-f68.google.com with SMTP id m24so33957127ioo.2
 for <36583 <at> debbugs.gnu.org>; Mon, 15 Jul 2019 06:04:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=E94f7d4lwwU07cViSAnB8AkDpKIEPQaSSGJSql8EyGg=;
 b=Ykjr5+lUqzswgl9et72Am0VWjHxRxDB5IGymHuOPBO3gs1PA0B/atjJ2AJCrO+1Zlm
 S3LbAS4s3WmBMHg5lxku79JDlMSB4P8RS/axVHG5e2l8dtCMBr3p/imMHHJSluIKAfL1
 8PR1isTrTeiS0/veEjoVT18Ljkkh9Upgb0PJm1ILA+WZZgGOpAhmknDLFRp1mR3unaeN
 J0TgURG26gh8cSwgPMVf+jIoAEjE0uDqkuH9NhUba5cW3HjqpqCL3Kc1oNZ4OfIl/oRj
 czf/bqKDHkqaptRprFiy0l9mUQDQPn1DteMqEFodPsqBoYJdCl9RJMqaYWKcCx/wu+hv
 spTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=E94f7d4lwwU07cViSAnB8AkDpKIEPQaSSGJSql8EyGg=;
 b=BRnjywFCNCk2dPOVBDIZ3Z0RpcN5ipEeHHCHGalLzd6CE3RIvmtqHXAFdk4bnaEQNZ
 jrxNDlraqcvAIWt/8reCafKmMLViVovIBV2oEIZjYy8G3hwi26kJK8pXyBHUbbXpQ1QV
 pwtsQETXt1K0nCSsFUjTFWDAHFy3aoRyJW/2WUT2Gn0c1sWGQ957Tg5GaCUEj5EAjTIf
 JmvNyJbItdylCMgALqhH8XeMV23Q8o3+AVqFX9aXVcm0rmA/Z8i9u7Lu+DN9VeqHfHhe
 yZNQY8vFsF6sUZAWAoiihkV0BigbliVd28zoA+iPXT972C1DOPK/zQ5ocRG9KRWE0ywm
 mG4w==
X-Gm-Message-State: APjAAAVuBfn80QwXuscHJdb0s30Aa9pXI7G6ZqiMcHSZb3FWPlb8l0Bo
 zrZ/8yAQ0ygN9B8Z637wzA4=
X-Google-Smtp-Source: APXvYqyS9wf4ORPP8N9I0pFWKf8qovB1CSMVMItULaRQpXF4sePmQjZ0G6XtJps8IQElMkQhx8qFxQ==
X-Received: by 2002:a6b:7401:: with SMTP id s1mr23408836iog.67.1563195893578; 
 Mon, 15 Jul 2019 06:04:53 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 l5sm34266539ioq.83.2019.07.15.06.04.52
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 15 Jul 2019 06:04:52 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN>
 <jwv8st2t75t.fsf-monnier+emacs@HIDDEN>
 <E1hmR4f-00005t-Jv@HIDDEN>
 <jwv8sszqxda.fsf-monnier+emacs@HIDDEN>
Date: Mon, 15 Jul 2019 09:04:51 -0400
In-Reply-To: <jwv8sszqxda.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Mon, 15 Jul 2019 08:49:01 -0400")
Message-ID: <87v9w3zbws.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: sb@HIDDEN, larsi@HIDDEN, 36583 <at> debbugs.gnu.org,
 Richard Stallman <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> How 'bout let the /root/.emacs file do something like:
>
>     (load (concat "~" (user-login-name) "/.emacs"))
>     
> ?
> For convenience, we could provide an ad-hoc function that would do that
> "right" (i.e. looking for .emacs, .emacs.d/init.el, and things like
> that).  We could even put it in /root/.emacs.d/early-init.el.

Wouldn't it be simpler to do this in the shell, e.g.,

    cat >>/root/.bashrc <<'EOF'
    alias emacs='emacs -u "$LOGNAME"'
    EOF

although I would personally suggest

    cat >>/root/.bashrc <<'EOF'
    alias emacs='echo Do not run emacs as root'
    EOF




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 15 Jul 2019 12:49:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 15 08:49:10 2019
Received: from localhost ([127.0.0.1]:46838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn0Pl-00041d-Ui
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 08:49:10 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:7066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1hn0Pk-00041P-SA
 for 36583 <at> debbugs.gnu.org; Mon, 15 Jul 2019 08:49:09 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 97100100951;
 Mon, 15 Jul 2019 08:49:03 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 984D4100228;
 Mon, 15 Jul 2019 08:49:02 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1563194942;
 bh=aE5AVTH1IZjlWuGqNVLmwKJ85lRRlI90fbjpK1oiLes=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=TP1UqxwO5n1P08ULAqExB6Ku2QepvSKxcsRgVwDQz/SOYK5tKDyA2dwyONFQLqh/3
 evwyRgD5mzSc8D6MnVsKmBtF63AwbndUz8Ug5tm0jrBj70nJOTkYcrHUT6COb+pp56
 DJCJZa/c+R3bo9XiGrLclzyKtjMVdu0O7x9FTL+cMWzUbQk6y3gE78zKVO9sx+muPG
 11WNmRHIuAJ6txFvVugxkOsUVU8HFEhsM91xMTCEQ0qwOgZDGP+k8Egh8v8V4F9L5J
 m30IVCORTgztVTPTeEy5eF0zYH47+TiHX7pZmxTSooPaAr+XiE7VJVaf84wm/KvTV5
 ul07BJV9f88sQ==
Received: from pastel (104-222-123-229.cpe.teksavvy.com [104.222.123.229])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 68098120B49;
 Mon, 15 Jul 2019 08:49:02 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
Message-ID: <jwv8sszqxda.fsf-monnier+emacs@HIDDEN>
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN>
 <jwv8st2t75t.fsf-monnier+emacs@HIDDEN>
 <E1hmR4f-00005t-Jv@HIDDEN>
Date: Mon, 15 Jul 2019 08:49:01 -0400
In-Reply-To: <E1hmR4f-00005t-Jv@HIDDEN> (Richard Stallman's message
 of "Sat, 13 Jul 2019 19:05:01 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.353 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, larsi@HIDDEN, sb@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>   > I can see why you'd like that, but I think this should be the result of
>   > an explicit choice rather than the default behavior.
>
> How do you suggest a user indicate that choice?

Don't know. How 'bout let the /root/.emacs file do something like:

    (load (concat "~" (user-login-name) "/.emacs"))
    
?
For convenience, we could provide an ad-hoc function that would do that
"right" (i.e. looking for .emacs, .emacs.d/init.el, and things like
that).  We could even put it in /root/.emacs.d/early-init.el.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.
Forcibly Merged 36583 36604. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 13 Jul 2019 23:17:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 19:17:01 2019
Received: from localhost ([127.0.0.1]:43611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmRGH-0001eJ-Cc
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 19:17:01 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:48248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1hmRGD-0001dx-HT
 for 36583 <at> debbugs.gnu.org; Sat, 13 Jul 2019 19:16:59 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 45mQfb49H6z1rBnG;
 Sun, 14 Jul 2019 01:16:55 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 45mQfb2L3Pz1qqkQ;
 Sun, 14 Jul 2019 01:16:55 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id plVSTI_KjMBt; Sun, 14 Jul 2019 01:16:54 +0200 (CEST)
X-Auth-Info: y9GfcL3ud0WqXqLa/2edIEYkNOCUWl4HmjAoT0PBTs2OwrWgpkAuS0h4HyOwkLhS
Received: from igel.home (ppp-46-244-161-174.dynamic.mnet-online.de
 [46.244.161.174])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun, 14 Jul 2019 01:16:54 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id E50062C0FAB; Sun, 14 Jul 2019 01:16:53 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN> <m24l3qi92e.fsf@HIDDEN>
 <E1hmR2D-0005SY-9l@HIDDEN>
X-Yow: Eisenhower!!  Your mimeograph machine upsets my stomach!!
Date: Sun, 14 Jul 2019 01:16:53 +0200
In-Reply-To: <E1hmR2D-0005SY-9l@HIDDEN> (Richard Stallman's message
 of "Sat, 13 Jul 2019 19:02:29 -0400")
Message-ID: <87muhhr0d6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, larsi@HIDDEN, sb@HIDDEN, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Jul 13 2019, Richard Stallman <rms@HIDDEN> wrote:

> Sorry, I don't follow you.  I don't see how there is any relationship
> between this .emacs veature and Tramp.

Tramp implements su in emacs.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 13 Jul 2019 23:05:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 19:05:11 2019
Received: from localhost ([127.0.0.1]:43593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmR4p-0001M6-HM
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 19:05:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60899)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1hmR4o-0001Lp-3S
 for 36583 <at> debbugs.gnu.org; Sat, 13 Jul 2019 19:05:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43733)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1hmR4j-0000Qp-05; Sat, 13 Jul 2019 19:05:05 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1hmR4f-00005t-Jv; Sat, 13 Jul 2019 19:05:02 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwv8st2t75t.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Sat, 13 Jul 2019 09:09:55 -0400)
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN> <jwv8st2t75t.fsf-monnier+emacs@HIDDEN>
Message-Id: <E1hmR4f-00005t-Jv@HIDDEN>
Date: Sat, 13 Jul 2019 19:05:01 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, larsi@HIDDEN, sb@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I can see why you'd like that, but I think this should be the result of
  > an explicit choice rather than the default behavior.

How do you suggest a user indicate that choice?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 13 Jul 2019 23:02:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 19:02:40 2019
Received: from localhost ([127.0.0.1]:43588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmR2O-0001I7-1h
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 19:02:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60058)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1hmR2L-0001Ht-L6
 for 36583 <at> debbugs.gnu.org; Sat, 13 Jul 2019 19:02:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43627)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1hmR2E-0007C2-H3; Sat, 13 Jul 2019 19:02:30 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1hmR2D-0005SY-9l; Sat, 13 Jul 2019 19:02:29 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-Reply-To: <m24l3qi92e.fsf@HIDDEN> (message from Andreas Schwab on
 Sat, 13 Jul 2019 11:21:29 +0200)
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN> <m24l3qi92e.fsf@HIDDEN>
Message-Id: <E1hmR2D-0005SY-9l@HIDDEN>
Date: Sat, 13 Jul 2019 19:02:29 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, larsi@HIDDEN, sb@HIDDEN, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > I think I asked for this feature so that when I run Emacs as root I
  > > will get the commands I am accustomed to.

  > Nowadays this is perhaps obsoleted by Tramp.

Sorry, I don't follow you.  I don't see how there is any relationship
between this .emacs veature and Tramp.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 13 Jul 2019 13:10:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 09:10:05 2019
Received: from localhost ([127.0.0.1]:41594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmHmv-00025B-ED
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 09:10:05 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:65140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1hmHmt-00024M-66
 for 36583 <at> debbugs.gnu.org; Sat, 13 Jul 2019 09:10:03 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id C37B710089B;
 Sat, 13 Jul 2019 09:09:57 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id BFF401005CA;
 Sat, 13 Jul 2019 09:09:56 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1563023396;
 bh=t+wHq57ghZuHqflvA80nEPZR6WzWqacy4T4vzX+eXfI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=pMyuqmer6wCUbaPtol4AzztpbZxEB8uJ/OL3cG9fS63tpDSODP3IkbmHingnkXLJ3
 a8Ltq2ntlm4VcoxIWye03CKKT+fTlZN2A/io1KROoLl/CERwECRXelwkHPcZyPAAOr
 FEPz9OD+LQKwcdlPaWuilxxZFzA2Y/FsoB/R1ncly3/m+0Au8Ldp8FK9Oppj7CsmaJ
 Y6FUhPnBq8+KUrRrxuiOoAqUWUfpwfnl4y+gbeYi0t/DFurTc8wpN8+QNFctU2QMsM
 /qN7oNP6t1+Oid2UdWsnOTFDjoxLsOjvguy9OBy8f4wzLCR2YBfEv6VFY9NcS4Ez9V
 TNhy/mwUuu8Mg==
Received: from pastel (104-222-123-229.cpe.teksavvy.com [104.222.123.229])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 850901207A2;
 Sat, 13 Jul 2019 09:09:56 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
Message-ID: <jwv8st2t75t.fsf-monnier+emacs@HIDDEN>
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN>
Date: Sat, 13 Jul 2019 09:09:55 -0400
In-Reply-To: <E1hm58n-0003kd-LO@HIDDEN> (Richard Stallman's message
 of "Fri, 12 Jul 2019 19:39:49 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.469 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>, sb@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I think I asked for this feature so that when I run Emacs as root I
> will get the commands I am accustomed to.

I can see why you'd like that, but I think this should be the result of
an explicit choice rather than the default behavior.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 13 Jul 2019 09:34:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 05:34:44 2019
Received: from localhost ([127.0.0.1]:41472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmEQV-0000tn-OG
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 05:34:44 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:39413)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1hmEQT-0000ta-QU
 for 36583 <at> debbugs.gnu.org; Sat, 13 Jul 2019 05:34:42 -0400
Received: by mail-wr1-f65.google.com with SMTP id x4so12214673wrt.6
 for <36583 <at> debbugs.gnu.org>; Sat, 13 Jul 2019 02:34:41 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=j60gMd3NALkQtJnUAY+V6DsIM//KLhFtZKbXHukbiuo=;
 b=lpOm3L6DH02HZn5poY3HIEah6usGgBNr0f5Qh9VxuT8Qip/8k6TmqchUUE1yRj3xti
 fu4/Oo3M16gTWVSaclPJvay0+r1RMakufmWQOQ5vTcfsRMXi0nKq6qR1FbMNdl0HL4tR
 kyZiYna4K7XddBzFzXo2rn/jC9RC5Tg9sNuN7naQfvArNuxD64mJRlYbJZRWm6aG2CqB
 nst2ikvBTuDn+7y7DOswb3aLReAju4Dlq/Zf1YtF4P+EQab5dLpCWvwgIBOaDsHj5dD8
 Ib/M2g0JIaQCs9yCVepetkqaWRWJa1dMCJfNYEZ9OJoDQuXp6DFb8+kOuQb0cuwRRvJv
 VXZg==
X-Gm-Message-State: APjAAAUUnkRI9m4lS1AIm4+iTPwFeEXucJQQ5lrki5rboeCjLnTsTmo7
 pzl1TqQ9Z29YzTuz48/9gBZb+U7ZNGdJClebp5o=
X-Google-Smtp-Source: APXvYqyRDXTd29gD6g2qzV6+svjgzpf9Xn4zrI6i0K9tIgd/Q7KflK9EOEyOmvxiVZorEUdobk9QGUFT6M7AGSxEmzw=
X-Received: by 2002:adf:eec4:: with SMTP id a4mr15935710wrp.85.1563010476025; 
 Sat, 13 Jul 2019 02:34:36 -0700 (PDT)
MIME-Version: 1.0
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN> <m24l3qi92e.fsf@HIDDEN>
In-Reply-To: <m24l3qi92e.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 13 Jul 2019 11:34:24 +0200
Message-ID: <CADwFkmn=Yrb2Urqs5JeXcpXgYzE4wg7Xzzetyys4ACrm_6pPdA@HIDDEN>
Subject: Re: bug#36583: 26.1; emacs 26 tries loading original user's .emacs
 after su to root
To: Andreas Schwab <schwab@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>, sb@HIDDEN,
 Richard Stallman <rms@HIDDEN>, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Andreas Schwab <schwab@HIDDEN> writes:

> On Jul 12 2019, Richard Stallman <rms@HIDDEN> wrote:
>
> > I think I asked for this feature so that when I run Emacs as root I
> > will get the commands I am accustomed to.
>
> Nowadays this is perhaps obsoleted by Tramp.

Tramp covers this use case for me at least.

FWIW, I think we should remove this feature.  It has always surprised me since
it's so different from how other programs on GNU/Linux usually behaves.

Would it be a good idea to also add something to the FAQ or Manual on the
recommended way to edit files as root (which perhaps should be: use Tramp)?

Thanks,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 13 Jul 2019 09:21:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 05:21:38 2019
Received: from localhost ([127.0.0.1]:41463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmEDq-0006rc-AA
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 05:21:38 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:54180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1hmEDn-0006rS-QO
 for 36583 <at> debbugs.gnu.org; Sat, 13 Jul 2019 05:21:37 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 45m46j5mVtz1rB8y;
 Sat, 13 Jul 2019 11:21:33 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 45m46j41ZBz1qqkQ;
 Sat, 13 Jul 2019 11:21:33 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id BOSWeMb7Npv4; Sat, 13 Jul 2019 11:21:32 +0200 (CEST)
X-Auth-Info: 6pwgGe674jDm88qNtIax1XNnNi5E2NKbU6Gm2EjhoxlOvPZY3iis+5HwRUAcZDkk
Received: from linux.local (ppp-46-244-161-174.dynamic.mnet-online.de
 [46.244.161.174])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sat, 13 Jul 2019 11:21:32 +0200 (CEST)
Received: by linux.local (Postfix, from userid 501)
 id A86601E5386; Sat, 13 Jul 2019 11:21:29 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <E1hm58n-0003kd-LO@HIDDEN>
X-Yow: Yow!  Is this sexual intercourse yet??  Is it, huh, is it??
Date: Sat, 13 Jul 2019 11:21:29 +0200
In-Reply-To: <E1hm58n-0003kd-LO@HIDDEN> (Richard Stallman's message
 of "Fri, 12 Jul 2019 19:39:49 -0400")
Message-ID: <m24l3qi92e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>, sb@HIDDEN,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Jul 12 2019, Richard Stallman <rms@HIDDEN> wrote:

> I think I asked for this feature so that when I run Emacs as root I
> will get the commands I am accustomed to.

Nowadays this is perhaps obsoleted by Tramp.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 12 Jul 2019 23:39:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 19:39:58 2019
Received: from localhost ([127.0.0.1]:40947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hm58w-0002za-Iy
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 19:39:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1hm58v-0002zH-0a
 for 36583 <at> debbugs.gnu.org; Fri, 12 Jul 2019 19:39:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51704)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1hm58o-0005TP-SG; Fri, 12 Jul 2019 19:39:50 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1hm58n-0003kd-LO; Fri, 12 Jul 2019 19:39:49 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <m37e8op3em.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 12 Jul 2019 01:17:21 +0200)
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
Message-Id: <E1hm58n-0003kd-LO@HIDDEN>
Date: Fri, 12 Jul 2019 19:39:49 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, sb@HIDDEN, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

I think I asked for this feature so that when I run Emacs as root I
will get the commands I am accustomed to.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 12 Jul 2019 15:00:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 11:00:33 2019
Received: from localhost ([127.0.0.1]:40525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlx2H-0002MO-0T
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 11:00:33 -0400
Received: from quimby.gnus.org ([80.91.231.51]:45864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hlx2F-0002ME-Nb
 for 36583 <at> debbugs.gnu.org; Fri, 12 Jul 2019 11:00:32 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hlx2C-00074O-1v; Fri, 12 Jul 2019 17:00:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <83wogn3ghs.fsf@HIDDEN>
 <jwva7djwbwu.fsf-monnier+emacs@HIDDEN> <83d0if2tj3.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAD1BMVEX+/gfj2Qr//whAOgT/
 /wkKSUWSAAACfklEQVQ4jU2U2xmkIAyFI04BXCwgRAogxgIU6b+mPXFm91teUH5zOwmStFvnfLY5
 47xPPGkqPfNCInPdHNzbHMAWRKK2F+DDJ0vbZORZVeaQNF4gOvcc7kMktP0AGHIt1GSytj3TcjCF
 zx7DnLMhRmtCRfbIoWSisMbPnMMBPFKhPVKolimUSENEAIawA5xJNbegazQRDy5shHesPYubSruQ
 1RQi5dX9cz3G2olFylbJzfByUCKpGc8BwMaN4Aw/9WBlhisxmIqKg1sFADlLIeFVufbPrJTMs1wO
 WjX1EIjMrDeAYhvyQeKmCaUXpRTFgZlGB9ViyYFMySAaggNYCIjSZe0cfuBrYZ0kAEDyqv0Lbsqs
 pgzVOuqT2h1wa5fXYQZ1ag9lk/0FCO5AiqEwaGsiazzFTplfsH5BACghih3TgbQBEGRRnIrJEux8
 wQxcLIqntOZmvGQ7m4PBYiiEAPZ8Q6i/gARqoVkAz1EBjp8rL1C9yX3U/uDt/A9g2qQe7dLnnLdC
 Xvu8IAnAfrRm6waXDqC4p8TUJmMsrpKZ0wsu2jAmkBCJ4SR9oF+BD7g6hDmEvWTxL9UFwobgBwdm
 SUvGBEwpudrP1QlHIvrk5hfgPssLFACDxU2fo+FiydRiHVEMYMCinmiSDgArhvLMIh0+3Pt56YRF
 m6Vgg0n0GDKebejXVSku4YMxQOelrdsoTdHgATC/4BQeoyDRD6R8XbWvK4zOGNZwoQFme4NfHryH
 EaalVE7/9E33Wj1dTSn5INvp6dz9X4Hv1j+QW1vjEpe/krx7D3Sp+1Pvw1fE1xTzfnkffPBxAnzR
 dy3pt+Jvv35oWRbcTkIevvBzmH8AXd+kTBu5Ba4AAAAASUVORK5CYII=
Date: Fri, 12 Jul 2019 17:00:27 +0200
In-Reply-To: <83d0if2tj3.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 12 Jul
 2019 17:53:52 +0300")
Message-ID: <m3k1cnti0k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> Because it'll run
 with full admin privileges the user's ~/.emacs which >> was likely not written
 under the assumption that you have to be very >> careful not to mess up the
 whole system. > > Isn't [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, sb@HIDDEN, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Because it'll run with full admin privileges the user's ~/.emacs which
>> was likely not written under the assumption that you have to be very
>> careful not to mess up the whole system.
>
> Isn't that what 'su' is supposed to allow?

Under su you can run any command -- that's true.

But it's unexpected to have a program run this code as root.  At least,
it's not what I would expect, and I have not written the code in
/home/larsi/.emacs under the assumption that is has to be safe for root
to run.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 12 Jul 2019 14:54:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 10:54:23 2019
Received: from localhost ([127.0.0.1]:40511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlwwJ-0002Bf-IF
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 10:54:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hlwwH-0002BT-JZ
 for 36583 <at> debbugs.gnu.org; Fri, 12 Jul 2019 10:54:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41711)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hlwwB-0002JL-KM; Fri, 12 Jul 2019 10:54:15 -0400
Received: from [176.228.60.248] (port=1640 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hlww7-0000e9-Kt; Fri, 12 Jul 2019 10:54:12 -0400
Date: Fri, 12 Jul 2019 17:53:52 +0300
Message-Id: <83d0if2tj3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwva7djwbwu.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Fri, 12 Jul 2019 10:46:13 -0400)
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <83wogn3ghs.fsf@HIDDEN>
 <jwva7djwbwu.fsf-monnier+emacs@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36583
Cc: rgm@HIDDEN, 36583 <at> debbugs.gnu.org, sb@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: rgm@HIDDEN,  sb@HIDDEN,  36583 <at> debbugs.gnu.org
> Date: Fri, 12 Jul 2019 10:46:13 -0400
> 
> >> > This is explicitly documented in the manual.
> >> > "How Emacs Finds Your Init File".
> >> FWIW, I find this behavior very surprising (and dangerous).
> > Why is it dangerous?
> 
> Because it'll run with full admin privileges the user's ~/.emacs which
> was likely not written under the assumption that you have to be very
> careful not to mess up the whole system.

Isn't that what 'su' is supposed to allow?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 12 Jul 2019 14:46:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 10:46:28 2019
Received: from localhost ([127.0.0.1]:40503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlwoe-0000yQ-3z
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 10:46:28 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:43599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1hlwob-0000rN-Q1
 for 36583 <at> debbugs.gnu.org; Fri, 12 Jul 2019 10:46:26 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 4708E444AFD;
 Fri, 12 Jul 2019 10:46:20 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id EDDC6444AF7;
 Fri, 12 Jul 2019 10:46:14 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1562942775;
 bh=/e2k+v5LesQKhM9KzNLRIY6aQZPDAWUrWuzAeaGNu1A=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=PsUc3keArDb+9/y76ma2/LN0MaOlemEzRJb5lNswdoXMIxkpMv+B6CH8ECBVvdl7s
 9kv8elUU3ZMw3OTt6aNZnpwXCQB7s2/pdvr8aHRVxl+/RUxI2gOXOa3hq/OR3+xCXa
 ZpBrdIXpuWPBOAawnjUi5E342AIwfFNZ2wTgMm5O5bdHCTEL/S0HznPspPWbtygY5x
 PgD0Zlqa58E47moRcHYWXW65OAiutu23NfY2D+iQ+UeNW7qmvtdJrkWddo9N5NEt86
 Pf7ppdYijJNulCOUnw2LdQNHB7pBFnPkdBc5PPsDxDSL+FUy3mOonRPxcw7S2nr1sA
 /4zzQyKNGbjLQ==
Received: from pastel (104-222-123-229.cpe.teksavvy.com [104.222.123.229])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id B6D521201D7;
 Fri, 12 Jul 2019 10:46:14 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
Message-ID: <jwva7djwbwu.fsf-monnier+emacs@HIDDEN>
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <83wogn3ghs.fsf@HIDDEN>
Date: Fri, 12 Jul 2019 10:46:13 -0400
In-Reply-To: <83wogn3ghs.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 12 Jul
 2019 09:37:51 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.556 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: rgm@HIDDEN, 36583 <at> debbugs.gnu.org, sb@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> > This is explicitly documented in the manual.
>> > "How Emacs Finds Your Init File".
>> FWIW, I find this behavior very surprising (and dangerous).
> Why is it dangerous?

Because it'll run with full admin privileges the user's ~/.emacs which
was likely not written under the assumption that you have to be very
careful not to mess up the whole system.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 12 Jul 2019 14:34:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 10:34:17 2019
Received: from localhost ([127.0.0.1]:40472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlwcr-0007vn-Ek
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 10:34:17 -0400
Received: from quimby.gnus.org ([80.91.231.51]:45508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hlwcm-0007vY-Ab
 for 36583 <at> debbugs.gnu.org; Fri, 12 Jul 2019 10:34:15 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hlwcf-0006uI-7P; Fri, 12 Jul 2019 16:34:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
 <jwvv9w8xfjw.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAD1BMVEX+/gfj2Qr//whAOgT/
 /wkKSUWSAAACfklEQVQ4jU2U2xmkIAyFI04BXCwgRAogxgIU6b+mPXFm91teUH5zOwmStFvnfLY5
 47xPPGkqPfNCInPdHNzbHMAWRKK2F+DDJ0vbZORZVeaQNF4gOvcc7kMktP0AGHIt1GSytj3TcjCF
 zx7DnLMhRmtCRfbIoWSisMbPnMMBPFKhPVKolimUSENEAIawA5xJNbegazQRDy5shHesPYubSruQ
 1RQi5dX9cz3G2olFylbJzfByUCKpGc8BwMaN4Aw/9WBlhisxmIqKg1sFADlLIeFVufbPrJTMs1wO
 WjX1EIjMrDeAYhvyQeKmCaUXpRTFgZlGB9ViyYFMySAaggNYCIjSZe0cfuBrYZ0kAEDyqv0Lbsqs
 pgzVOuqT2h1wa5fXYQZ1ag9lk/0FCO5AiqEwaGsiazzFTplfsH5BACghih3TgbQBEGRRnIrJEux8
 wQxcLIqntOZmvGQ7m4PBYiiEAPZ8Q6i/gARqoVkAz1EBjp8rL1C9yX3U/uDt/A9g2qQe7dLnnLdC
 Xvu8IAnAfrRm6waXDqC4p8TUJmMsrpKZ0wsu2jAmkBCJ4SR9oF+BD7g6hDmEvWTxL9UFwobgBwdm
 SUvGBEwpudrP1QlHIvrk5hfgPssLFACDxU2fo+FiydRiHVEMYMCinmiSDgArhvLMIh0+3Pt56YRF
 m6Vgg0n0GDKebejXVSku4YMxQOelrdsoTdHgATC/4BQeoyDRD6R8XbWvK4zOGNZwoQFme4NfHryH
 EaalVE7/9E33Wj1dTSn5INvp6dz9X4Hv1j+QW1vjEpe/krx7D3Sp+1Pvw1fE1xTzfnkffPBxAnzR
 dy3pt+Jvv35oWRbcTkIevvBzmH8AXd+kTBu5Ba4AAAAASUVORK5CYII=
Date: Fri, 12 Jul 2019 16:34:05 +0200
In-Reply-To: <jwvv9w8xfjw.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Thu, 11 Jul 2019 20:38:55 -0400")
Message-ID: <m3wogntj8i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: >
 [...hhhmmm...]
 Ha! Found it! > > commit a726e0d12ccb1c49ca1f3e1fbe64addea9b7d3b4 > Author:
 Jim Blandy <jimb@HIDDEN> > Date: Thu Jul 11 23:17:40 1991 +0000 > >
 Initial revision > > diff --git a/l [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: Glenn Morris <rgm@HIDDEN>, 36583 <at> debbugs.gnu.org, Steinar Bang <sb@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> [...hhhmmm...]  Ha!  Found it!
>
>     commit a726e0d12ccb1c49ca1f3e1fbe64addea9b7d3b4
>     Author: Jim Blandy <jimb@HIDDEN>
>     Date:   Thu Jul 11 23:17:40 1991 +0000
>
>         Initial revision
>
>     diff --git a/lisp/startup.el b/lisp/startup.el
>     --- /dev/null
>     +++ b/lisp/startup.el
>     @@ -0,0 +160,6 @@
>     +    ;; Figure out which user's init file to load,
>     +    ;; either from the environment or from the options.
>     +    (setq init-file-user (if noninteractive nil (user-login-name)))
>     +    ;; If user has not done su, use current $HOME to find .emacs.
>     +    (and init-file-user (string= init-file-user (user-real-login-name))
>     +        (setq init-file-user ""))
>
> So yes, goes back pretty far.

Oh, wow.  :-)

There was a similar bug report for "sudo" the other week where the
conclusion was "well, just use -i" (because then $HOME would be set
correctly).  Does this mean that su and sudo behaves differently in
Emacs in this area?  Let's see...

sudo -i:

root@sandy:~# echo $HOME
/root

(user-real-login-name)
"root"

sudo bash:

root@sandy:~# echo $HOME
/home/larsi

(user-real-login-name)
"root"

[larsi@stories ~]$ su
Password: 
root@stories:/home/larsi# echo $HOME
/root

(user-real-login-name)
"root"


Uhm...

So when I su on this machine, I'm not getting /home/larsi/.emacs?

This is kinda confusing.


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 12 Jul 2019 06:38:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 02:38:09 2019
Received: from localhost ([127.0.0.1]:39168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlpC5-0002px-Kc
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 02:38:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39603)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hlpC4-0002pj-93
 for 36583 <at> debbugs.gnu.org; Fri, 12 Jul 2019 02:38:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50687)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hlpBx-00079c-9r; Fri, 12 Jul 2019 02:38:01 -0400
Received: from [176.228.60.248] (port=2872 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hlpBu-0003rj-OX; Fri, 12 Jul 2019 02:37:59 -0400
Date: Fri, 12 Jul 2019 09:37:51 +0300
Message-Id: <83wogn3ghs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Thu, 11 Jul 2019 18:58:40 -0400)
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36583
Cc: rgm@HIDDEN, 36583 <at> debbugs.gnu.org, sb@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Date: Thu, 11 Jul 2019 18:58:40 -0400
> Cc: Steinar Bang <sb@HIDDEN>, 36583 <at> debbugs.gnu.org
> 
> > This is explicitly documented in the manual.
> > "How Emacs Finds Your Init File".
> 
> FWIW, I find this behavior very surprising (and dangerous).

Why is it dangerous?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 12 Jul 2019 00:39:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 20:39:07 2019
Received: from localhost ([127.0.0.1]:39068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hljad-0002uY-LB
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 20:39:07 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:11020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1hljab-0002tn-G3
 for 36583 <at> debbugs.gnu.org; Thu, 11 Jul 2019 20:39:06 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id CBE0C80E46;
 Thu, 11 Jul 2019 20:38:59 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 0406080AB2;
 Thu, 11 Jul 2019 20:38:58 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1562891938;
 bh=7XatUBowAo8p1d41V6EoDw6JivHm2b+tigrSwanC32Y=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=eJsb6dn11ZMm2ZDQjhWyhBbJajdFWymNFQMZuhi5AsUdrdeen594AH9OFRpB9Lj6q
 0rSN6nlNCaXP/hA2ozqV9xkBLgh+knTnV+fANzrxHhgYUPnvgAeoaI47iw8TFJ9sG3
 Ui80U3jlqEsBvvZp8XMbsTfrxHoYo1ZtHb8Up27u9jZ48R2u2K99KRHGwls86TtG30
 69GG650yhdsixokZH/tzEXfgJ6V9XqpoFokjprxNmRE6ipAyw6IbKhqBHca14Dk0t5
 IMVAxPTPN3U/4hszPN6VMV3F5e4ubh+O8xsDKz8FiEUaTwysb0gG/agaZXJ4J+CU8J
 4uIezfUp08auQ==
Received: from milanesa (104-222-123-229.cpe.teksavvy.com [104.222.123.229])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id B54821207A4;
 Thu, 11 Jul 2019 20:38:57 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36583: 26.1; emacs 26 tries loading original user's .emacs
 after su to root
Message-ID: <jwvv9w8xfjw.fsf-monnier+emacs@HIDDEN>
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> <m37e8op3em.fsf@HIDDEN>
Date: Thu, 11 Jul 2019 20:38:55 -0400
In-Reply-To: <m37e8op3em.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 12 Jul 2019 01:17:21 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.532 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: Glenn Morris <rgm@HIDDEN>, 36583 <at> debbugs.gnu.org, Steinar Bang <sb@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> BTW, thinking about "dangerous" above, I guess the behavior might make
>> sense when you're `su`ing *from* root rather than the other way around.
> By default, /root on many systems isn't readable by anybody but root, so
> I don't think it makes much sense in any situation...

Good point.

> I think Emacs shouldn't do this at all.  When was this introduced, and
> what was the reasoning behind it?

The Texinfo says:

    [...]
    @xref{Entering Emacs,,, emacs, The GNU Emacs Manual}.  If neither
    option is specified, Emacs uses the @env{LOGNAME} environment
    variable, or the @env{USER} (most systems) or @env{USERNAME} (MS
    systems) variable, to find your home directory and thus your init
    file; this way, even if you have su'd, Emacs still loads your own init
    file.  If those environment variables are absent, though, Emacs uses
    your user-id to find your home directory.

and it's at least as old as 2007 probably long before.
I still haven't found the corresponding code, so I can't confirm
the origin.

[...hhhmmm...]  Ha!  Found it!

    commit a726e0d12ccb1c49ca1f3e1fbe64addea9b7d3b4
    Author: Jim Blandy <jimb@HIDDEN>
    Date:   Thu Jul 11 23:17:40 1991 +0000
    
        Initial revision
    
    diff --git a/lisp/startup.el b/lisp/startup.el
    --- /dev/null
    +++ b/lisp/startup.el
    @@ -0,0 +160,6 @@
    +    ;; Figure out which user's init file to load,
    +    ;; either from the environment or from the options.
    +    (setq init-file-user (if noninteractive nil (user-login-name)))
    +    ;; If user has not done su, use current $HOME to find .emacs.
    +    (and init-file-user (string= init-file-user (user-real-login-name))
    +        (setq init-file-user ""))

So yes, goes back pretty far.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 11 Jul 2019 23:17:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 19:17:30 2019
Received: from localhost ([127.0.0.1]:39040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hliJd-0000st-Vp
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 19:17:30 -0400
Received: from quimby.gnus.org ([80.91.231.51]:34306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hliJb-0000qF-HF
 for 36583 <at> debbugs.gnu.org; Thu, 11 Jul 2019 19:17:28 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hliJV-0008TB-AO; Fri, 12 Jul 2019 01:17:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
 <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEUAAAARERBqe23a3cdD
 RD9kjHiBnoprkH2U1xKmAAACRUlEQVQ4jXWTTVPbMBCGJSeTXmPwcAYno15jr0ZcbUe4ZzoVvjIY
 1tcWaunvd1dKwDBTXSzvo333Qysh/rekbW5kmSv6xN99ewJr0DqDDmpd8R8ivm4T0LXeQF/Xtwc6
 rzAEf51ARWBUVQePQmRkD+FPAkbr1YiHDBoh+imE2f16j7FSCWR9WACSWilD4FHIqDTfv4NLMPqJ
 gxNwwTVLUMd0FTs8NOcYMBY11JUWwlBw51MdsmzKTt7Y4npPGU5u8GPyEH1jmy62Q2xwGnCEw0mq
 ggNA3O9wQgRIHpnWcDC7BAANgklKWXVjqgTWAIaU9AkcZK3TqaMZWal6BzoBCYgeAOozoBKj1MZg
 IIdzjHVV3tbIYIU4hREAOasjt8TUJYN+8hj8COFZiCugjj79VpbdFU5TYK+wFW9UWFE0VrYRzC6w
 PdyLS0NTYu2+s5QUTm5+QAzO/aVEhMzj4gGZB+/5RtxrXrx8DFiGs2el2Tm37aYlIHmcPNldvr34
 AN+Q1xQYFO3dB9iQ1fsQga/7r2AeGLw9Z5/ACwG2u/3YfQZJyD2MO7PM6pSrcyNcwgKk4hI4fgHJ
 7nafAUmxldIazVJqfSpucAMq7m7X7SOQmKTCPJR4NHSwt8kFIxkoM6UpBt+HjS9VxdujcR/e9G4k
 D2VVFOuRb5bA61XVSfbobBRTLxSAPX7KFFS0cksHeBiIUHCXYrbSFragzQWDWEp8OdK2TVEWPA3f
 5yVYF9smbxmIH24JaLDomze0uaMqliA/N8XNC/APbG3UyzDhz0AAAAAASUVORK5CYII=
Date: Fri, 12 Jul 2019 01:17:21 +0200
In-Reply-To: <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Thu, 11 Jul 2019 18:58:40 -0400")
Message-ID: <m37e8op3em.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: > FWIW,
 I find this behavior very surprising (and dangerous). Yes, me too. I can't
 think of any other program that behaves in this manner. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: Glenn Morris <rgm@HIDDEN>, 36583 <at> debbugs.gnu.org, Steinar Bang <sb@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> FWIW, I find this behavior very surprising (and dangerous).

Yes, me too.  I can't think of any other program that behaves in this
manner.

> BTW, thinking about "dangerous" above, I guess the behavior might make
> sense when you're `su`ing *from* root rather than the other way around.

By default, /root on many systems isn't readable by anybody but root, so
I don't think it makes much sense in any situation...

I think Emacs shouldn't do this at all.  When was this introduced, and
what was the reasoning behind it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 11 Jul 2019 22:58:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 18:58:51 2019
Received: from localhost ([127.0.0.1]:39016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hli1b-0006p8-I8
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 18:58:51 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:9255)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1hli1Z-0006ot-Nu
 for 36583 <at> debbugs.gnu.org; Thu, 11 Jul 2019 18:58:50 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id D96F71008A7;
 Thu, 11 Jul 2019 18:58:43 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 8F11A1006CE;
 Thu, 11 Jul 2019 18:58:42 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1562885922;
 bh=iOZ4/p989boLagD6JNHgiFbMtBkDLZYQPTiTSU60628=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=apR+YTbYeQcHYrJw9YSKFQ3o7xYivwcAmlzFZfJ0I0MBxp0al+hLYEABBk7VurMv0
 8iD2zSejBcOCywAPF+QMS3Xfka6tLmmZC15sDFg1inzjEc4V2jM5xUFE3D7/bo3ChX
 j9LtfANMo/QEZyM4hZy028JqtmHOgLD5kwxTb9qykI2tT9iukJFirwlPf4epLv+gEd
 X+NXZnWHkcTpEy5y+3yFAhDEq2Odl7Hal5JEObWaCOmZvoYnWgyOheYXNNhDU2i11d
 XgDxknNAjivE9W8Nj+RMV83SHMpZP8NUT2lr8X8U+lCm9elDheRoJ/qmX99KaA4PO2
 bQ7dwtH9QahbA==
Received: from milanesa (104-222-123-229.cpe.teksavvy.com [104.222.123.229])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 0648A120C0A;
 Thu, 11 Jul 2019 18:58:41 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#36583: 26.1; emacs 26 tries loading original user's .emacs
 after su to root
Message-ID: <jwvbly0yzbl.fsf-monnier+emacs@HIDDEN>
References: <87ims94p6p.fsf@HIDDEN> <m3sgrdtxzx.fsf@HIDDEN>
Date: Thu, 11 Jul 2019 18:58:40 -0400
In-Reply-To: <m3sgrdtxzx.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 10 Jul 2019 16:50:42 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.258 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org, Steinar Bang <sb@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> This is explicitly documented in the manual.
> "How Emacs Finds Your Init File".

FWIW, I find this behavior very surprising (and dangerous).

Apparently you can circumvent it by setting LOGNAME to "root".

I can't find the place in code which distinguishes this case from the
case where the user doesn't `su` but instead sets his $HOME to some
other place, such as:

    HOME=/home/monnier/tmp/home emacs

BTW, thinking about "dangerous" above, I guess the behavior might make
sense when you're `su`ing *from* root rather than the other way around.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.
bug closed, send any further explanations to 36583 <at> debbugs.gnu.org and Steinar Bang <sb@HIDDEN> Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix and notabug. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36583 <at> debbugs.gnu.org:


Received: (at 36583) by debbugs.gnu.org; 10 Jul 2019 20:50:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 16:50:54 2019
Received: from localhost ([127.0.0.1]:36689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlJYC-0007pJ-7C
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 16:50:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1hlJYA-0007p5-53
 for 36583 <at> debbugs.gnu.org; Wed, 10 Jul 2019 16:50:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51766)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1hlJY4-0004LP-46; Wed, 10 Jul 2019 16:50:44 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1hlJY3-0002d2-BI; Wed, 10 Jul 2019 16:50:43 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Steinar Bang <sb@HIDDEN>
Subject: Re: bug#36583: 26.1;
 emacs 26 tries loading original user's .emacs after su to root
References: <87ims94p6p.fsf@HIDDEN>
X-Spook: Sleet ammunition Al Qa'ida import Calderon Hacker Port
X-Ran: VbTv>.<o2lQ{Lw.@TeSTs3VJf!*h)Xw+Usgma<rS@AcLY}5?~O#Idi1b?[wz?.N1u2\4Fb
X-Hue: brightgreen
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 10 Jul 2019 16:50:42 -0400
In-Reply-To: <87ims94p6p.fsf@HIDDEN> (Steinar Bang's message of "Wed, 10 Jul
 2019 21:20:14 +0100")
Message-ID: <m3sgrdtxzx.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36583
Cc: 36583 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


This is explicitly documented in the manual.
"How Emacs Finds Your Init File".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jul 2019 20:23:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 16:23:44 2019
Received: from localhost ([127.0.0.1]:36674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlJ7w-0007A6-5Y
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 16:23:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:38663)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sb@HIDDEN>) id 1hlJ7u-00079x-7Y
 for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 16:23:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57508)
 by lists.gnu.org with esmtp (Exim 4.86_2) (envelope-from <sb@HIDDEN>)
 id 1hlJ7s-0001yJ-A3
 for bug-gnu-emacs@HIDDEN; Wed, 10 Jul 2019 16:23:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sb@HIDDEN>) id 1hlJ7q-0003BS-AK
 for bug-gnu-emacs@HIDDEN; Wed, 10 Jul 2019 16:23:40 -0400
Received: from cadalora.default.sbang.uk0.bigv.io ([46.43.15.90]:54952
 helo=cadalora.bang.priv.no) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sb@HIDDEN>) id 1hlJ7n-0002d8-Ka
 for bug-gnu-emacs@HIDDEN; Wed, 10 Jul 2019 16:23:36 -0400
Received: from lorenzo (cm-84.212.50.160.getinternet.no [84.212.50.160])
 by cadalora.bang.priv.no (Postfix) with ESMTPSA id E536FCDF2E
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Jul 2019 21:23:14 +0100 (BST)
From: Steinar Bang <sb@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; emacs 26 tries loading original user's .emacs after su to root
Date: Wed, 10 Jul 2019 21:20:14 +0100
Message-ID: <87ims94p6p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 46.43.15.90
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

debian 10 "buster", amd64
GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4) of 2019-=
02-03, modified by Debian

 - I did /bin/su from my own user to root

 - When I started emacs I got the following error message:

 Warning (initialization): An error occurred while loading =E2=80=98/home/s=
b/.emacs=E2=80=99:

File is missing: Cannot open load file, No such file or directory, editorco=
nfig

To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file.  Start Emacs with
the =E2=80=98--debug-init=E2=80=99 option to view a complete error backtrac=
e.

 - Ie. emacs tried to load the original user's .emacs and fails (and the
   configuration of the editor is kind of broken)

Results of HOME and id after su:
root@cadalora:~# env | grep HOME
HOME=3D/root
root@cadalora:~# id
uid=3D0(root) gid=3D0(root) groups=3D0(root)
root@cadalora:~#


 - When I do "/bin/su - root" then emacs reports no error messages on
   startup

Results of HOME and id looks the same:
root@cadalora:~# env | grep HOME
HOME=3D/root
root@cadalora:~# id
uid=3D0(root) gid=3D0(root) groups=3D0(root)
root@cadalora:~#




Acknowledgement sent to Steinar Bang <sb@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36583; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 3 Oct 2019 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.